package com.ssm.manage.dao.impl;

import com.ssm.core.mapper.BaseMapper;
import com.ssm.manage.entity.StaffLoginRecording;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
import com.ssm.manage.mapper.StaffLoginRecordingMapper;
import org.springframework.beans.factory.annotation.Autowired;
import com.ssm.manage.dao.StaffLoginRecordingDao;

import com.ssm.core.impl.BaseDaoImpl;

import java.util.List;

/**
 * (StaffLoginRecording)表数据库访问层
 *
 * @author makejava
 * @since 2023-12-14 15:35:24
 */
@Component
public class StaffLoginRecordingDaoImpl extends BaseDaoImpl<StaffLoginRecording> implements StaffLoginRecordingDao {

    @Autowired
    private StaffLoginRecordingMapper StaffLoginRecordingMapper;


    @Override
    protected BaseMapper<StaffLoginRecording> getMapper() {
        return StaffLoginRecordingMapper;
    }

    @Override
    public void save(StaffLoginRecording staffLoginRecording) {
        StaffLoginRecordingMapper.save(staffLoginRecording);
    }

    @Override
    public void updateById(StaffLoginRecording staffLoginRecording) {
        StaffLoginRecordingMapper.updateById(staffLoginRecording);
    }
}
